using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.DM
{
    /// <summary>
    /// 检测检验附件表
    /// </summary>
    [Description("检测检验附件表")]
    public class T_DM_DEVICE_BASE_INSPECTION_FILE : MesEntityBase
    {
        /// <summary>
        /// 检测检验ID
        /// </summary>
        [Description("检测检验ID")]
        [DataFieldForeignKey("Nav_Parent", "Nav_Files")]
        public Guid PARENT_ID { get; set; }
        /// <summary>
        /// 导航属性：设备设施检测检验
        /// </summary>
        [Description("导航属性：设备设施检测检验")]
        public T_DM_DEVICE_BASE_INSPECTION Nav_Parent { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
